Results 1 to 8 of 8

Thread: Can't install AIR applications on OpenSuse 11.1 64bits

  1. #1

    Default Can't install AIR applications on OpenSuse 11.1 64bits

    Hello everyone,

    I tried to install Adobe Air in OpenSuse 11.1 64 bits following the instructions on the Adobe page for 64 bits systems and I can install the Adobe.bin file after I installed all the libraries Adobe requerires.

    When I try to install Adobe AIR application by either the application installer or clicking an .air file there is an window open that crashes right after. Trying to install by terminal only gives me the messasse Segmentation fault.

    This is the whole message when running the Application Installer:

    alex@linux-rsxx:~> Adobe\ AIR\ Application\ Installer
    Currently in use: 1 blocks containing 63.9 KiB bytes total.
    Allocated during whole lifetime: 37 blocks containing 1.1 MiB bytes total.
    Sample cache size: 0 B
    User name: alex
    Host Name: linux-rsxx
    Server Name: pulseaudio
    Server Version: 0.9.12
    Default Sample Specification: s16le 2ch 44100Hz
    Default Sink: alsa_output.pci_10de_774_sound_card_0_alsa_playback_0
    Default Source: alsa_input.pci_10de_774_sound_card_0_alsa_capture_0
    Cookie: 0203b1d2
    Segmentation fault

  2. #2
    koxmoz NNTP User

    Unhappy Re: Can't install AIR applications on OpenSuse 11.1 64bits

    i hav a same problem, no one idea??

    Code:
    >Adobe\ AIR\ Application\ Installer 
    /home/koxmoz/.themes/Dust Sand/gtk-2.0/gtkrc:6: No se ha podido encontrar el archivo include: scrollbars/scrollbar.rc
    Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: no se puede abrir el fichero del objeto compartido: No existe el fichero o el directorio
    Actualmente en uso: 104 bloques conteniendo 413,5 KiB bytes en total.
    Ubicados durante a lo largo del tiempo: 512380 bloques conteniendo 1,9 GiB bytes en total.
    Tamao del cache de muestra: 156,6 KiB
    Nombre de usuario: koxmoz
    Nombre del equipo: linux-xoew
    Nombre del servidor: pulseaudio
    Versin del servidor: 0.9.14
    Especificacin de muestra por defecto: s16le 2ch 44100Hz
    Mapa de canal por defecto: front-left,front-right
    Sumidero por defecto: alsa_output.pci_1002_4383_sound_card_0_alsa_playback_0
    Fuente por defecto: alsa_input.pci_1002_4383_sound_card_0_alsa_capture_0
    Cookie: b1f9bf1d
    Violacin de segmento

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: Can't install AIR applications on OpenSuse 11.1 64bits

    Can I ask what you need this for?
    And how and or where are you trying to install it from?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  4. #4
    koxmoz NNTP User

    Default Re: Can't install AIR applications on OpenSuse 11.1 64bits

    adobe air is an application that turns, the web applications (created with flas ajax) in applications for the desktop, very varied applications,

    when do you stop interrogating us the motives for which we want to install it, might you to help me? or not?

    thank you ! !

  5. #5
    koxmoz NNTP User

    Default Re: Can't install AIR applications on OpenSuse 11.1 64bits

    adobe air it is already installed, now we want to install the applications, archivo.air, but when I install the application salt this message:

    "Violacin de segmento" or "Segmentation fault"

    and I do not know the motive

  6. #6

    Default Re: Can't install AIR applications on OpenSuse 11.1 64bits

    Bumping this because I have the same problem on openSUSE 11.0 64-bit trying to install Seesmic Twitter app on Adobe AIR.

    From a link on the Adobe forums, it appears this segmentation fault people get is common to AMD processors. Doesn't matter whether it's openSUSE, CENTOS, Ubuntu - everybody gets it.

    The morons at Adobe never tested their installer on 64-bit AMD systems apparently. WHY their installer should even HAVE an issue with the CPU architecture is beyond me.

    From long experience with Adobe products, I know them to be bloated, bug-ridden, crash-prone, and hard to install.

    Why I ever bothered trying to install an Adobe product on this machine is beyond me. But I need a Twitter app that WORKS, works from the desktop not the browser (I'm using TwitterFox now) and can handle multiple columns of accounts and data - which Seesmic is supposed to be able to do.

    I have now failed at installing TweetDeck and Seesmic because Adobe can't get their act together and treat Linux as a second thought.


  7. #7
    bajabob NNTP User

    Default Re: Can't install AIR applications on OpenSuse 11.1 64bits

    I too am having this issue with AIR. I am on an Intel machine however, with SUSE 11.1. AIR kicks off the install of tweetdeck, and after the first status bar completes nothing else happens. Tried manual install of adobe AIR using this ref:

    .51 - Geekspace for Women Installing Adobe AIR and TweetDeck on openSUSE 11.0

    ERROR:
    (/tmp/air.KHVHBJ/setup:9176): Gtk-WARNING **: cannot open display:


    AIR fails to load. Guess its not just an AMD issue, but a 64 bit issue on linux machines.

  8. #8
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,676
    Blog Entries
    15

    Default Re: Can't install AIR applications on OpenSuse 11.1 64bits

    Quote Originally Posted by bajabob
    I too am having this issue with AIR. I am on an Intel machine however,
    with SUSE 11.1. AIR kicks off the install of tweetdeck, and after the
    first status bar completes nothing else happens. Tried manual install of
    adobe AIR using this ref:

    '.51 - Geekspace for Women Installing Adobe AIR and TweetDeck on
    openSUSE 11.0' (http://tinyurl.com/cfqmrd)

    ERROR:
    (/tmp/air.KHVHBJ/setup:9176): Gtk-WARNING **: cannot open display:


    AIR fails to load. Guess its not just an AMD issue, but a 64 bit issue
    on linux machines.
    Hi
    AIR install fine on this machine (same as 11.1) In your case are you
    trying to install as root user?

    That error indicates you need to run gnomesu or kdesu with
    AdobeAIRInstaller.bin

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.37-0.1-default
    up 1 day 14:40, 3 users, load average: 0.04, 0.10, 0.08
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •